{
  lib,
  config,
  username,
  ...
}:
let
  cfg = config.networking;
in
{
  options = {
    networking = {
      enable = lib.mkEnableOption "Enable networking in NixOS and home-manager";
    };
  };
  config = lib.mkIf cfg.enable {
    environment = {
      systemPackages = [ ];
    };
    networking = {
      extraHosts = ''
        10.0.0.24 desktop
      '';
      networkmanager = {
        enable = true;
      };
      useDHCP = lib.mkDefault true;
      wireguard.enable = true;
    };
  };
}
